#pragma once
#include <myapp/logging/logger.h>

namespace myapp::logging {

class console_logger final : public logger
{
public:
    console_logger() noexcept = default;
    ~console_logger() = default;

    void debug(std::string const& tag, std::string const& message) noexcept override;
    void info(std::string const& tag, std::string const& message) noexcept override;
    void notice(std::string const& tag, std::string const& message) noexcept override;
    void warning(std::string const& tag, std::string const& message) noexcept override;
    void error(std::string const& tag, std::string const& message) noexcept override;
    void critical(std::string const& tag, std::string const& message) noexcept override;
    void alert(std::string const& tag, std::string const& message) noexcept override;
    void emergency(std::string const& tag, std::string const& message) noexcept override;
};

} /* namespace myapp::logging */
